## powerdevil 5.5.5

=== CMakeLists.txt ===
project(PowerDevil)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus X11Extras)
find_package(KF5 REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Screen KDELibs4Support Wayland)
find_package(LibKWorkspace CONFIG REQUIRED)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)

add_subdirectory(daemon)
add_subdirectory(kcmodule)
add_subdirectory(doc)

install( FILES powerdevil.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR} )

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevil\")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(actions)

set(POWERDEVIL_CORE_VERSION_MAJOR 2)
set(POWERDEVIL_CORE_VERSION_MINOR 0)
set(POWERDEVIL_CORE_VERSION_MICRO 0)
set(POWERDEVIL_CORE_VERSION_STRING ${POWERDEVIL_CORE_VERSION_MAJOR}.${POWERDEVIL_CORE_VERSION_MINOR}.${POWERDEVIL_CORE_VERSION_MICRO})

# Add bundled actions
set(powerdevil_bundled_actions_SRCS
    powerdevil_debug.cpp
    actions/bundled/suspendsession.cpp
    actions/bundled/brightnesscontrol.cpp
    actions/bundled/keyboardbrightnesscontrol.cpp
    actions/bundled/dimdisplay.cpp
    actions/bundled/runscript.cpp
    actions/bundled/handlebuttonevents.cpp
)

# target no.1 - powerdevil core library
set(powerdevilcore_SRCS
    powerdevil_debug.cpp
    powerdevilaction.cpp
    powerdevilactionpool.cpp
    powerdevilbackendinterface.cpp
    powerdevilcore.cpp
    powerdevilpolicyagent.cpp
    powerdevilprofilegenerator.cpp
    powerdevilbrightnesslogic.cpp
    powerdevilscreenbrightnesslogic.cpp
    powerdevilkeyboardbrightnesslogic.cpp
    brightnessosdwidget.cpp
    kwinkscreenhelpereffect.cpp
)

kconfig_add_kcfg_files(powerdevilcore_SRCS ../PowerDevilSettings.kcfgc)

# Action DBus Adaptors
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml
                     actions/bundled/brightnesscontrol.h PowerDevil::BundledActions::BrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.KeyboardBrightnessControl.xml
                     actions/bundled/keyboardbrightnesscontrol.h PowerDevil::BundledActions::KeyboardBrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.HandleButtonEvents.xml
                     actions/bundled/handlebuttonevents.h PowerDevil::BundledActions::HandleButtonEvents)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.SuspendSession.xml
                     actions/bundled/suspendsession.h PowerDevil::BundledActions::SuspendSession)

add_library(powerdevilcore SHARED ${powerdevilcore_SRCS} ${powerdevil_bundled_actions_SRCS})
set_target_properties(powerdevilcore PROPERTIES VERSION ${POWERDEVIL_CORE_VERSION_STRING} SOVERSION ${POWERDEVIL_CORE_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilcore
    KF5::Activities
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::I18n
    KF5::Solid
    KF5::IdleTime
    KF5::GlobalAccel
    KF5::Screen
    KF5::Service
    KF5::WidgetsAddons
    KF5::Notifications
    KF5::XmlGui
    PW::KWorkspace
)

if (XCB_FOUND) # kwin kscreen helper effect
    target_link_libraries(powerdevilcore Qt5::X11Extras XCB::XCB)
endif ()

# target no.2 - powerdevil kded module
set(kded_powerdevil_SRCS
    powerdevil_debug.cpp
    kdedpowerdevil.cpp
    powerdevilbackendloader.cpp
    powerdevilfdoconnector.cpp
)

# DBus Adaptors
qt5_add_dbus_adaptor(kded_powerdevil_SRCS org.kde.Solid.PowerManagement.xml powerdevilcore.h PowerDevil::Core)
qt5_add_dbus_adaptor(kded_powerdevil_SRCS org.kde.Solid.PowerManagement.PolicyAgent.xml
                                         powerdevilpolicyagent.h PowerDevil::PolicyAgent
                                         powermanagementpolicyagentadaptor PowerManagementPolicyAgentAdaptor)

qt5_add_dbus_adaptor(kded_powerdevil_SRCS ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.freedesktop.PowerManagement.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementfdoadaptor PowerManagementFdoAdaptor)
qt5_add_dbus_adaptor(kded_powerdevil_SRCS ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.freedesktop.PowerManagement.Inhibit.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementinhibitadaptor PowerManagementInhibitAdaptor)


# Backends
include(BackendConfig.cmake)

add_library(kded_powerdevil MODULE ${kded_powerdevil_SRCS} ${POWERDEVIL_BACKEND_SRCS})
set_target_properties(kded_powerdevil PROPERTIES OUTPUT_NAME powerdevil)
kcoreaddons_desktop_to_json(kded_powerdevil powerdevil.desktop)

target_link_libraries(kded_powerdevil
    ${POWERDEVIL_BACKEND_LIBS}
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::DBusAddons
    powerdevilcore
)
if (XCB_FOUND)
    target_link_libraries(kded_powerdevil Qt5::X11Extras)
endif ()

target_link_libraries(kded_powerdevil ${UDEV_LIBS})

install(TARGETS kded_powerdevil DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)
install(TARGETS powerdevilcore ${INSTALL_TARGETS_DEFAULT_ARGS})

# target no.3 - powerdevil ui library
set(powerdevilui_SRCS
    powerdevilactionconfig.cpp
)

add_library(powerdevilui ${powerdevilui_SRCS})
set_target_properties(powerdevilui PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilui
    PUBLIC
        Qt5::Widgets
        KF5::ConfigCore
)

set(HAVE_XCB ${XCB_FOUND})
configure_file(config-powerdevil.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powerdevil.h )

install(TARGETS powerdevilui ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kcmodule/CMakeLists.txt ===
include_directories (
    ${PowerDevil_SOURCE_DIR}/daemon
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_BINARY_DIR}/common
)

add_subdirectory(common)

add_subdirectory(activities)
add_subdirectory(global)
add_subdirectory(profiles)

=== kcmodule/activities/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevilactivitiesconfig\")

set( kcm_powerdevil_activities_SRCS
     ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
     activitypage.cpp
     activitywidget.cpp
     ../common/ErrorOverlay.cpp
)

ki18n_wrap_ui(kcm_powerdevil_activities_SRCS
    activityWidget.ui)

kconfig_add_kcfg_files(kcm_powerdevil_activities_SRCS ../../PowerDevilSettings.kcfgc)

add_library(kcm_powerdevilactivitiesconfig MODULE ${kcm_powerdevil_activities_SRCS})

target_link_libraries(kcm_powerdevilactivitiesconfig
     KF5::Solid
     KF5::Activities
     KF5::KDELibs4Support
     powerdevilconfigcommonprivate
)

install(TARGETS kcm_powerdevilactivitiesconfig  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES powerdevilactivitiesconfig.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

## powerdevil 5.2.2

=== debian/changelog ===
powerdevil (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:45:23 -0700

powerdevil (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:50:11 -0800

powerdevil (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 15:01:35 +0100

powerdevil (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * update plasma-workspace-dev build-dep version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:37:08 +0100

powerdevil (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:39:17 +0100

powerdevil (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:29:32 +0100

powerdevil (4:5.1.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * New upstream release
  * New upstream release with fixed tar

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:54:09 +0100

powerdevil (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:23:36 -0700

powerdevil (4:5.0.1-0ubuntu1~ubuntu14.10~ppa7) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Change libpowerdevilcore1 to libpowerdevilcore2 for new soname

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org
  * Fix usr/share/dbus-1 package

  [ Philip Muškovac ]
  * Cherry pick the upstream fix for the upower handling as
    upstream_9de319e4cebb038bbb359dd89f7cb45b8b791fa2.diff and
    upstream_9c8e8e2fc71b6f21aefd27b131ca6814da1be116.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:46:26 +0200

powerdevil (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Harald Sitter ]
  * powerdevil breaks and replaces kde-workspace-data (<< 4:4.98.0) as it
    contains files previously in that package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:28:39 +0200

powerdevil (4:4.97.0-0ubuntu1) utopic; urgency=medium

  * Initial Release
  * Add build depends 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 09 Jun 2014 06:58:59 -0700

=== debian/control ===
Source: powerdevil
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5idletime-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5notifyconfig-dev (>= 5.2.0),
               libqt5x11extras5-dev,
               libudev-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xtest0-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.2.0),
               plasma-workspace-dev (>= 4:5.2.2)
Standards-Version: 3.9.5

Package: powerdevil-dev
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         libpowerdevilui5 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

Package: powerdevil
Architecture: any
Depends: powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-workspace-data (<< 4:4.98.0)
Replaces: kde-workspace-data (<< 4:4.98.0)
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: libpowerdevilui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilcore2
Architecture: any
Conflicts: libpowerdevilcore1
Replaces: libpowerdevilcore1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: powerdevil (= ${binary:Version}), ${misc:Depends}
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the debug files.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/powerdevil-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/powerdevil-(.*)\.tar\.xz

## powerdevil 5.4.2

=== debian/changelog ===
powerdevil (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:03:34 +0100

powerdevil (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:27:02 +0100

powerdevil (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:58:04 +0100

powerdevil (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:22:59 +0200

powerdevil (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:38:45 +0000

powerdevil (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:53:43 +0200

powerdevil (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:59:37 +0200

powerdevil (4:5.2.1-1) experimental; urgency=medium

  * New upstream release (5.2.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:59 +0100

powerdevil (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 Feb 2015 14:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,48 @@
 Source: powerdevil
 Section: kde
-Priority: extra
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
+               kinit-dev,
+               kio-dev,
+               libkf5activities-dev,
+               libkf5auth-dev,
+               libkf5config-dev,
+               libkf5dbusaddons-dev,
+               libkf5globalaccel-dev,
+               libkf5i18n-dev,
                libkf5idletime-dev (>= 5.2.0),
                libkf5kdelibs4support-dev (>= 5.2.0),
                libkf5notifyconfig-dev (>= 5.2.0),
-               libqt5x11extras5-dev,
+               libkf5screen-dev,
+               libkf5solid-dev,
+               libqt5x11extras5-dev (>= 5.4.0~),
                libudev-dev,
+               libx11-dev,
                libx11-xcb-dev,
                libxcb-composite0-dev,
                libxcb-damage0-dev,
+               libxcb-dpms0-dev,
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
-               libxcb-shm0-dev,
-               libxcb-sync-dev,
-               libxcb-xtest0-dev,
+               libxcb1-dev,
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.2.0),
-               plasma-workspace-dev (>= 4:5.2.2)
-Standards-Version: 3.9.5
+               plasma-workspace-dev (>= 4:5.4.2~),
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.6
+Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/powerdevil.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/powerdevil.git
 
 Package: powerdevil-dev
+Section: devel
 Architecture: any
 Depends: libpowerdevilcore2 (= ${binary:Version}),
          libpowerdevilui5 (= ${binary:Version}),
@@ -55,6 +70,7 @@
  Power Devil allows you to define your all power settings.
 
 Package: libpowerdevilui5
+Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Global power saver settings ui library.
@@ -63,10 +79,11 @@
  This package contains the library files.
 
 Package: libpowerdevilcore2
+Section: libs
 Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libpowerdevilcore1
 Replaces: libpowerdevilcore1
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Global power saver settings ui library.
  Power Devil allows you to define your all power settings.
  .
@@ -74,9 +91,10 @@
 
 Package: powerdevil-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Depends: powerdevil (= ${binary:Version}), ${misc:Depends}
 Recommends: qtbase5-dbg
-Depends: powerdevil (= ${binary:Version}), ${misc:Depends}
 Description: Global power saver settings.
  Power Devil allows you to define your all power settings.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=powerdevil-dbg

## powerdevil 5.5.5

=== debian/changelog ===
powerdevil (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 14:03:08 -0700

powerdevil (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:30:39 +0100

powerdevil (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:06 +0100

powerdevil (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:50:22 +0100

powerdevil (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:24 +0200

powerdevil (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:43 +0200

powerdevil (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 09:51:02 +0200

powerdevil (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.
  * Add the missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 02 Jul 2015 11:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev,
-               kio-dev,
-               libkf5activities-dev,
-               libkf5auth-dev,
-               libkf5config-dev,
-               libkf5dbusaddons-dev,
-               libkf5globalaccel-dev,
-               libkf5i18n-dev,
-               libkf5idletime-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5notifyconfig-dev (>= 5.2.0),
-               libkf5screen-dev,
-               libkf5solid-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               kwayland-dev (>= 4:5.5.5~),
+               libkf5activities-dev (>= 5.18.0~),
+               libkf5auth-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5idletime-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5notifyconfig-dev (>= 5.18.0~),
+               libkf5screen-dev (>= 4:5.5.5~),
+               libkf5solid-dev (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4.0~),
                libudev-dev,
                libx11-dev,
@@ -33,8 +34,8 @@
                libxcb1-dev,
                libxrandr-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-workspace-dev (>= 4:5.4.2~),
+               pkg-kde-tools (>= 0.15.18~),
+               plasma-workspace-dev (>= 4:5.5.5~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
@@ -66,6 +67,8 @@
 Package: powerdevil-data
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Global power saver settings data files.
  Power Devil allows you to define your all power settings.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbg-package=powerdevil-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/powerdevil-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/powerdevil-([\d.]+)\.tar\.xz

## powerdevil 5.7.5

=== debian/changelog ===
powerdevil (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:31:10 -0500

powerdevil (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Add libkf5networkmanagerqt-dev & libkf5bluezqt-dev as build deps
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:10:05 +0000

powerdevil (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:19:17 +0100

powerdevil (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:31:31 -0700

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kinit-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               kwayland-dev (>= 4:5.5.5~),
-               libkf5activities-dev (>= 5.18.0~),
-               libkf5auth-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5globalaccel-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5idletime-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
-               libkf5notifyconfig-dev (>= 5.18.0~),
-               libkf5screen-dev (>= 4:5.5.5~),
-               libkf5solid-dev (>= 5.18.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               kwayland-dev (>= 4:5.24.0~),
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5bluezqt-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5idletime-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5networkmanagerqt-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5screen-dev (>= 4:5.7.5~),
+               libkf5solid-dev (>= 5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -35,12 +37,12 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.5.5~),
-               qtbase5-dev (>= 5.4.0~)
+               plasma-workspace-dev (>= 4:5.7.5~),
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/powerdevil.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/powerdevil.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 
 Package: powerdevil-dev
 Section: devel

## powerdevil 5.8.2

=== debian/changelog ===
powerdevil (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:28:23 +0200

powerdevil (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:02:05 +0200

powerdevil (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:11:30 +0200

powerdevil (4:5.7.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 31 Aug 2016 14:18:23 +0200

powerdevil (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:58:08 +0200

powerdevil (4:5.6.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 22:53:49 +0200

powerdevil (4:5.6.4-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 11:38:17 +0200

powerdevil (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:15 +0100

## powerdevil 5.8.4

=== daemon/backends/CMakeLists.txt ===
########################## UPower Backend #####################################
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/upower
                    ${X11_INCLUDE_DIR}
                    ${X11_Xrandr_INCLUDE_PATH})

set(powerdevilupowerbackend_SRCS
    ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
    upower/upowersuspendjob.cpp
    upower/login1suspendjob.cpp
    upower/powerdevilupowerbackend.cpp
    upower/xrandrbrightness.cpp
    upower/xrandrxcbhelper.cpp
    upower/udevqtclient.cpp
    upower/udevqtdevice.cpp
)

set_source_files_properties(
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
PROPERTIES NO_NAMESPACE TRUE)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
upower_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
upower_device_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.KbdBacklight.xml
upower_kbdbacklight_interface)

## backlight helper executable
add_executable(backlighthelper upower/backlighthelper.cpp ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp ${backlighthelper_mocs})
target_link_libraries(backlighthelper Qt5::Core KF5::Auth KF5::I18n)
install(TARGETS backlighthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(backlighthelper org.kde.powerdevil.backlighthelper root)
kauth_install_actions(org.kde.powerdevil.backlighthelper ${CMAKE_CURRENT_SOURCE_DIR}/upower/backlight_helper_actions.actions)

add_library(powerdevilupowerbackend ${powerdevilupowerbackend_SRCS})
set_target_properties(powerdevilupowerbackend PROPERTIES PREFIX "")
target_link_libraries(powerdevilupowerbackend
    Qt5::Widgets
    KF5::Auth
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    ${UDEV_LIBS}
    ${X11_LIBRARIES}
    ${X11_Xrandr_LIB}
    ${XCB_XCB_LIBRARY}
    ${XCB_RANDR_LIBRARY}
    powerdevilcore
)

install(TARGETS powerdevilupowerbackend DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/powerdevil)

=== doc/en/kcm/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/powerdevil)

=== debian/changelog ===
powerdevil (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kinit-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               kwayland-dev (>= 4:5.24.0~),
-               libkf5activities-dev (>= 5.24.0~),
-               libkf5auth-dev (>= 5.24.0~),
-               libkf5bluezqt-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5globalaccel-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5idletime-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5networkmanagerqt-dev (>= 5.24.0~),
-               libkf5notifyconfig-dev (>= 5.24.0~),
-               libkf5screen-dev (>= 4:5.7.5~),
-               libkf5solid-dev (>= 5.24.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               extra-cmake-modules (>= 1.3.0~),
+               kinit-dev,
+               libkf5activities-dev,
+               libkf5auth-dev,
+               libkf5bluezqt-dev,
+               libkf5config-dev,
+               libkf5dbusaddons-dev,
+               libkf5globalaccel-dev,
+               libkf5i18n-dev,
+               libkf5idletime-dev (>= 5.2.0),
+               libkf5kdelibs4support-dev (>= 5.2.0),
+               libkf5kio-dev,
+               libkf5networkmanagerqt-dev,
+               libkf5notifyconfig-dev (>= 5.2.0),
+               libkf5screen-dev (>= 4:5.6),
+               libkf5solid-dev,
+               libkf5wayland-dev,
+               libqt5x11extras5-dev (>= 5.4.0~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -37,12 +37,12 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.7.5~),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               plasma-workspace-dev (>= 4:5.2.1),
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/powerdevil.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/powerdevil.git
 
 Package: powerdevil-dev
 Section: devel
@@ -93,14 +93,3 @@
  Power Devil allows you to define your all power settings.
  .
  This package contains the library files.
-
-Package: powerdevil-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: powerdevil (= ${binary:Version}), ${misc:Depends}
-Recommends: qtbase5-dbg
-Description: Global power saver settings.
- Power Devil allows you to define your all power settings.
- .
- This package contains the debug files.

## powerdevil 5.9.4

=== debian/changelog ===
powerdevil (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:33 +0000

powerdevil (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:27 +0000

powerdevil (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:38 +0000

powerdevil (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:34 +0000

powerdevil (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:56 +0000

powerdevil (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:48 +0000

powerdevil (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Drop duplicate build dep kio-dev in favour of libkf5kio-dev

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:11 +0000

powerdevil (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Install new desktop file

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 18 Aug 2016 16:20:08 +0100

## powerdevil 5.9.5

=== debian/changelog ===
powerdevil (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev,
-               libkf5activities-dev,
-               libkf5auth-dev,
-               libkf5bluezqt-dev,
-               libkf5config-dev,
-               libkf5dbusaddons-dev,
-               libkf5globalaccel-dev,
-               libkf5i18n-dev,
-               libkf5idletime-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5kio-dev,
-               libkf5networkmanagerqt-dev,
-               libkf5notifyconfig-dev (>= 5.2.0),
-               libkf5screen-dev (>= 4:5.6),
-               libkf5solid-dev,
-               libkf5wayland-dev,
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               kwayland-dev (>= 4:5.31.0~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5bluezqt-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5idletime-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5networkmanagerqt-dev (>= 5.31.0~),
+               libkf5notifyconfig-dev (>= 5.31.0~),
+               libkf5screen-dev (>= 4:5.9.4~),
+               libkf5solid-dev (>= 5.31.0~),
+               libkf5wayland-dev (>= 4:5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -37,16 +38,16 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.2.1),
-               qtbase5-dev (>= 5.4.0~)
+               plasma-workspace-dev (>= 4:5.9.4~),
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/powerdevil.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/powerdevil.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 
 Package: powerdevil-dev
+Architecture: any
 Section: devel
-Architecture: any
 Depends: libpowerdevilcore2 (= ${binary:Version}),
          libpowerdevilui5 (= ${binary:Version}),
          powerdevil (= ${binary:Version}),
@@ -75,8 +76,8 @@
  Power Devil allows you to define your all power settings.
 
 Package: libpowerdevilui5
+Architecture: any
 Section: libs
-Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Global power saver settings ui library.
  Power Devil allows you to define your all power settings.
@@ -84,8 +85,8 @@
  This package contains the library files.
 
 Package: libpowerdevilcore2
+Architecture: any
 Section: libs
-Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libpowerdevilcore1
 Replaces: libpowerdevilcore1

## powerdevil 5.10.5

=== debian/changelog ===
powerdevil (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:32 +0100

powerdevil (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:27 +0100

powerdevil (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:01 +0100

powerdevil (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:15 +0100

powerdevil (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:56 +0100

powerdevil (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:16 +0100

powerdevil (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               kwayland-dev (>= 4:5.31.0~),
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5auth-dev (>= 5.31.0~),
-               libkf5bluezqt-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5idletime-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5networkmanagerqt-dev (>= 5.31.0~),
-               libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5screen-dev (>= 4:5.9.4~),
-               libkf5solid-dev (>= 5.31.0~),
-               libkf5wayland-dev (>= 4:5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               kwayland-dev (>= 4:5.36.0~),
+               libkf5activities-dev (>= 5.36.0~),
+               libkf5auth-dev (>= 5.36.0~),
+               libkf5bluezqt-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5idletime-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5networkmanagerqt-dev (>= 5.36.0~),
+               libkf5notifyconfig-dev (>= 5.36.0~),
+               libkf5screen-dev (>= 4:5.10.5~),
+               libkf5solid-dev (>= 5.36.0~),
+               libkf5wayland-dev (>= 4:5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
@@ -38,7 +38,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.9.4~),
+               plasma-workspace-dev (>= 4:5.10.5~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
